apiVersion: maistra.io/v1
kind: ServiceMeshControlPlane
metadata:
  selfLink: >-
    /apis/maistra.io/v1/namespaces/istio-system/servicemeshcontrolplanes/basic-install
  resourceVersion: '90302'
  name: basic-install
  uid: d8717978-f896-4358-8c97-1bd37b9fc48a
  creationTimestamp: '2020-07-20T09:37:23Z'
  generation: 1
  managedFields:
    - apiVersion: maistra.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:istio':
            .: {}
            'f:gateways':
              .: {}
              'f:istio-egressgateway':
                .: {}
                'f:autoscaleEnabled': {}
              'f:istio-ingressgateway':
                .: {}
                'f:autoscaleEnabled': {}
                'f:ior_enabled': {}
            'f:grafana':
              .: {}
              'f:enabled': {}
            'f:kiali':
              .: {}
              'f:enabled': {}
            'f:mixer':
              .: {}
              'f:policy':
                .: {}
                'f:autoscaleEnabled': {}
              'f:telemetry':
                .: {}
                'f:autoscaleEnabled': {}
            'f:pilot':
              .: {}
              'f:autoscaleEnabled': {}
              'f:traceSampling': {}
            'f:tracing':
              .: {}
              'f:enabled': {}
              'f:jaeger':
                .: {}
                'f:template': {}
          'f:threeScale':
            .: {}
            'f:enabled': {}
          'f:version': {}
      manager: Mozilla
      operation: Update
      time: '2020-07-20T09:37:23Z'
    - apiVersion: maistra.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers': {}
        'f:status':
          .: {}
          'f:components': {}
          'f:conditions': {}
          'f:lastAppliedConfiguration':
            .: {}
            'f:istio':
              'f:galley':
                .: {}
                'f:image': {}
                'f:resources':
                  .: {}
                  'f:limits': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:memory': {}
              'f:gateways':
                .: {}
                'f:istio-egressgateway':
                  .: {}
                  'f:autoscaleEnabled': {}
                  'f:enabled': {}
                  'f:resources':
                    .: {}
                    'f:limits': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                'f:istio-ingressgateway':
                  .: {}
                  'f:autoscaleEnabled': {}
                  'f:enabled': {}
                  'f:ior_enabled': {}
                  'f:ior_image': {}
                  'f:resources':
                    .: {}
                    'f:limits': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:type': {}
              'f:pilot':
                .: {}
                'f:autoscaleEnabled': {}
                'f:env':
                  .: {}
                  'f:GODEBUG': {}
                'f:image': {}
                'f:resources':
                  .: {}
                  'f:limits': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:memory': {}
                'f:traceSampling': {}
              'f:kiali':
                .: {}
                'f:dashboard':
                  .: {}
                  'f:viewOnlyMode': {}
                'f:enabled': {}
                'f:ingress':
                  .: {}
                  'f:enabled': {}
              .: {}
              'f:tracing':
                .: {}
                'f:enabled': {}
                'f:ingress':
                  .: {}
                  'f:enabled': {}
                'f:jaeger':
                  .: {}
                  'f:template': {}
              'f:grafana':
                .: {}
                'f:enabled': {}
                'f:image': {}
                'f:ingress':
                  .: {}
                  'f:enabled': {}
                'f:service':
                  .: {}
                  'f:annotations':
                    .: {}
                    'f:service.alpha.openshift.io/serving-cert-secret-name': {}
              'f:security':
                .: {}
                'f:image': {}
                'f:resources':
                  .: {}
                  'f:limits': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:memory': {}
              'f:mixer':
                .: {}
                'f:env':
                  .: {}
                  'f:GODEBUG': {}
                'f:image': {}
                'f:policy':
                  .: {}
                  'f:autoscaleEnabled': {}
                'f:telemetry':
                  .: {}
                  'f:autoscaleEnabled': {}
                  'f:resources':
                    .: {}
                    'f:limits': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
              'f:global':
                'f:hub': {}
                'f:operatorNamespace': {}
                'f:tag': {}
                'f:oauthproxy':
                  .: {}
                  'f:hub': {}
                  'f:image': {}
                  'f:imagePullPolicy': {}
                  'f:tag': {}
                .: {}
                'f:defaultPodDisruptionBudget':
                  .: {}
                  'f:enabled': {}
                'f:proxy_init':
                  .: {}
                  'f:image': {}
                'f:defaultResources':
                  .: {}
                  'f:limits': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:memory': {}
                'f:proxy':
                  .: {}
                  'f:autoInject': {}
                  'f:dnsRefreshRate': {}
                  'f:image': {}
                  'f:resources':
                    .: {}
                    'f:limits': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
              'f:sidecarInjectorWebhook':
                .: {}
                'f:enableNamespacesByDefault': {}
                'f:image': {}
              'f:istio_cni':
                .: {}
                'f:enabled': {}
                'f:istio_cni_network': {}
                'f:repair':
                  .: {}
                  'f:enabled': {}
              'f:prometheus':
                .: {}
                'f:image': {}
                'f:ingress':
                  .: {}
                  'f:enabled': {}
                'f:resources':
                  .: {}
                  'f:limits': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:memory': {}
                'f:service':
                  .: {}
                  'f:annotations':
                    .: {}
                    'f:service.alpha.openshift.io/serving-cert-secret-name': {}
            'f:template': {}
            'f:threeScale':
              .: {}
              'f:enabled': {}
              'f:hub': {}
              'f:image': {}
              'f:tag': {}
            'f:version': {}
      manager: istio-operator
      operation: Update
      time: '2020-07-20T09:38:06Z'
  namespace: istio-system
  finalizers:
    - maistra.io/istio-operator
spec:
  istio:
    gateways:
      istio-egressgateway:
        autoscaleEnabled: false
      istio-ingressgateway:
        autoscaleEnabled: false
        ior_enabled: false
    grafana:
      enabled: true
    kiali:
      enabled: true
    mixer:
      policy:
        autoscaleEnabled: false
      telemetry:
        autoscaleEnabled: false
    pilot:
      autoscaleEnabled: false
      traceSampling: 100
    tracing:
      enabled: true
      jaeger:
        template: all-in-one
  template: default
  threeScale:
    enabled: true
  version: v1.1
status:
  components:
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: istio
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: security
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:27Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:27Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: prometheus
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:37Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:37Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: tracing
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:37Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:37Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: galley
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:48Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:48Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: mixer
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:51Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:51Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: pilot
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:51Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:37:51Z'
          message: Successfully installed all mesh components
          reason: InstallSuccessful
          status: 'True'
          type: Installed
      resource: gateways
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          message: >-
            Deployment in version "v1" cannot be handled as a Deployment:
            v1.Deployment.Spec: v1.DeploymentSpec.Template:
            v1.PodTemplateSpec.Spec: v1.PodSpec.Containers: []v1.Container:
            v1.Container.Env: []v1.EnvVar: readObjectStart: expect { or n, but
            found ", error found in #10 byte of ...|],"env":["--port=844|...,
            bigger context
            ...|health","--reconcileWebhookConfig=false"],"env":["--port=8443"],"image":"quay.io/maistra/sidecar-inj|...
          reason: ReconcileError
          status: 'False'
          type: Reconciled
        - lastTransitionTime: '2020-07-20T09:38:05Z'
          message: >-
            Deployment in version "v1" cannot be handled as a Deployment:
            v1.Deployment.Spec: v1.DeploymentSpec.Template:
            v1.PodTemplateSpec.Spec: v1.PodSpec.Containers: []v1.Container:
            v1.Container.Env: []v1.EnvVar: readObjectStart: expect { or n, but
            found ", error found in #10 byte of ...|],"env":["--port=844|...,
            bigger context
            ...|health","--reconcileWebhookConfig=false"],"env":["--port=8443"],"image":"quay.io/maistra/sidecar-inj|...
          reason: InstallError
          status: 'False'
          type: Installed
      resource: sidecarInjectorWebhook
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          status: 'False'
          type: Reconciled
      resource: grafana
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          status: 'False'
          type: Reconciled
      resource: kiali
    - conditions:
        - lastTransitionTime: '2020-07-20T09:37:24Z'
          status: 'False'
          type: Reconciled
      resource: maistra-threescale
  conditions:
    - lastTransitionTime: '2020-07-20T09:37:23Z'
      message: Installing mesh generation 1
      reason: ResourceCreated
      status: 'False'
      type: Installed
    - lastTransitionTime: '2020-07-20T09:37:23Z'
      message: >-
        Error processing component sidecarInjectorWebhook: error: Deployment in
        version "v1" cannot be handled as a Deployment: v1.Deployment.Spec:
        v1.DeploymentSpec.Template: v1.PodTemplateSpec.Spec:
        v1.PodSpec.Containers: []v1.Container: v1.Container.Env: []v1.EnvVar:
        readObjectStart: expect { or n, but found ", error found in #10 byte of
        ...|],"env":["--port=844|..., bigger context
        ...|health","--reconcileWebhookConfig=false"],"env":["--port=8443"],"image":"quay.io/maistra/sidecar-inj|...
      reason: ReconcileError
      status: 'False'
      type: Reconciled
    - lastTransitionTime: '2020-07-20T09:37:23Z'
      message: Installing mesh generation 1
      reason: ResourceCreated
      status: 'False'
      type: Ready
  lastAppliedConfiguration:
    istio:
      security:
        image: >-
          quay.io/maistra/citadel-rhel8@sha256:82ba8aefee8efc01c85b37ed86a9de4f0fa8b6e0bf3c4b4f52f7df608a970c82
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
      kiali:
        dashboard:
          viewOnlyMode: false
        enabled: true
        ingress:
          enabled: true
      tracing:
        enabled: true
        ingress:
          enabled: true
        jaeger:
          template: all-in-one
      global:
        defaultPodDisruptionBudget:
          enabled: false
        defaultResources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
        hub: registry.redhat.io/openshift-service-mesh
        oauthproxy:
          hub: registry.redhat.io/openshift4
          image: >-
            quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f727703318a20fa4ecd8590044bb33f5cad1e81cadf44be75c079623ce0cf3dd
          imagePullPolicy: IfNotPresent
          tag: 4.2
        operatorNamespace: openshift-operators
        proxy:
          autoInject: disabled
          dnsRefreshRate: 300s
          image: >-
            quay.io/maistra/proxyv2-rhel8@sha256:e9d59f495629800104c53b9020fef403bb8722a10487bbfaddc4d89495b8c10a
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
        proxy_init:
          image: >-
            quay.io/maistra/proxy-init-rhel7@sha256:c9f343670d4cc6d1c28ed4e3b09b09103186926160a177c1688fd2888a375de4
        tag: 1.1.5
      grafana:
        enabled: true
        image: >-
          quay.io/maistra/grafana-rhel8@sha256:28b961bd97315d0fdec9c537d512e3539bf8214f893c6f2fd7b829ab8a46fd7c
        ingress:
          enabled: true
        service:
          annotations:
            service.alpha.openshift.io/serving-cert-secret-name: grafana-tls
      sidecarInjectorWebhook:
        enableNamespacesByDefault: true
        image: >-
          quay.io/maistra/sidecar-injector-rhel8@sha256:93c8b4b43d11d42042e73bc510214bd168713a99dfa97e07a6eb410681be560c
      mixer:
        env:
          GODEBUG: null
        image: >-
          quay.io/maistra/mixer-rhel8@sha256:302a8451ca1a8b04e7cde32c88a7717f6780233b7a1aa211879d9b993bb19ca2
        policy:
          autoscaleEnabled: false
        telemetry:
          autoscaleEnabled: false
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
      prometheus:
        image: >-
          quay.io/maistra/prometheus-rhel8@sha256:661c3c4cbb3df1072d069cec2fcf2d26994c81a9d1ffc43f5449c273094f24c4
        ingress:
          enabled: true
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
        service:
          annotations:
            service.alpha.openshift.io/serving-cert-secret-name: prometheus-tls
      galley:
        image: >-
          quay.io/maistra/galley-rhel8@sha256:7dbf11e912075ad375c78084bc498632ab82278effb49c358488e799551c1816
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
      gateways:
        istio-egressgateway:
          autoscaleEnabled: false
          enabled: true
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
        istio-ingressgateway:
          autoscaleEnabled: false
          enabled: true
          ior_enabled: false
          ior_image: >-
            quay.io/maistra/ior-rhel8@sha256:b19f9292c4bf7e4452f78051facfbf8dd0dbabe18e5cafd3f55792ad043efcea
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
          type: ClusterIP
      istio_cni:
        enabled: true
        istio_cni_network: v1-1-istio-cni
        repair:
          enabled: false
      pilot:
        autoscaleEnabled: false
        env:
          GODEBUG: null
        image: >-
          quay.io/maistra/pilot-rhel8@sha256:8bbd9337693e29290c8fee5004161a328dfeb0c8424b5de17a53d9e46fcf28e8
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
        traceSampling: 100
    template: default
    threeScale:
      enabled: true
      hub: registry.redhat.io/openshift-service-mesh
      image: >-
        quay.io/maistra/3scale-istio-adapter-rhel8@sha256:6d35b85de01ba891d06d248b14d30d4cfb6d256d97c12ba948744bc9cd607c99
      tag: 1.0.0
    version: v1.1
